Bug 903714 - LVMError: lvresize failed for lv_root: running lvm lvresize --force -L 400000m --config devices { filter=["r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|"] } vg_tarantula/lv_root failed
LVMError: lvresize failed for lv_root: running lvm lvresize --force -L 400000...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:46169b8d4b9103230e496b8dc42...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-24 11:11 EST by Jeff Bastian
Modified: 2013-12-05 10:16 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 10:16:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (741.14 KB, text/plain)
2013-01-24 11:11 EST, Jeff Bastian
no flags Details
File: anaconda.log (79.18 KB, text/plain)
2013-01-24 11:11 EST, Jeff Bastian
no flags Details
File: environ (779 bytes, text/plain)
2013-01-24 11:11 EST, Jeff Bastian
no flags Details
File: ifcfg.log (977 bytes, text/plain)
2013-01-24 11:11 EST, Jeff Bastian
no flags Details
File: packaging.log (309.49 KB, text/plain)
2013-01-24 11:11 EST, Jeff Bastian
no flags Details
File: program.log (39.46 KB, text/plain)
2013-01-24 11:11 EST, Jeff Bastian
no flags Details
File: storage.log (160.32 KB, text/plain)
2013-01-24 11:11 EST, Jeff Bastian
no flags Details
File: syslog (115.94 KB, text/plain)
2013-01-24 11:11 EST, Jeff Bastian
no flags Details

  None (edit)
Description Jeff Bastian 2013-01-24 11:11:00 EST
Description of problem:
I just tried to install Fedora 18 and it crashed after I hit Begin.  I told it to use my old partition layout but reformat everything:
  /boot  sda1  1GB
  /  LVM lv_root 400GB
  swap  LVM lv_swap 8GB
The following was filed automatically by anaconda:
anaconda 18.37.11 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicelibs/lvm.py", line 390, in lvresize
    raise LVMError("lvresize failed for %s: %s" % (lv_name, msg))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 2603, in resize
    lvm.lvresize(self.vg.name, self._name, self.size)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 370, in execute
    self.device.resize()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 323, in processActions
    action.execute()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 323, in doIt
    self.devicetree.processActions()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 174, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 114, in doInstall
    turnOnFilesystems(storage)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
    threading.Thread.run(self, *args, **kwargs)
LVMError: lvresize failed for lv_root: running lvm lvresize --force -L 400000m --config  devices { filter=["r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|"] }  vg_tarantula/lv_root failed

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2018\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.6.10-4.fc18.x86_64
other involved packages: 
package:        anaconda-18.37.11
product:        Fedora
release:        Cannot get release name.
type:           libreport
version:        18
Comment 1 Jeff Bastian 2013-01-24 11:11:04 EST
Created attachment 686832 [details]
File: anaconda-tb
Comment 2 Jeff Bastian 2013-01-24 11:11:06 EST
Created attachment 686833 [details]
File: anaconda.log
Comment 3 Jeff Bastian 2013-01-24 11:11:07 EST
Created attachment 686834 [details]
File: environ
Comment 4 Jeff Bastian 2013-01-24 11:11:10 EST
Created attachment 686835 [details]
File: ifcfg.log
Comment 5 Jeff Bastian 2013-01-24 11:11:11 EST
Created attachment 686836 [details]
File: packaging.log
Comment 6 Jeff Bastian 2013-01-24 11:11:13 EST
Created attachment 686837 [details]
File: program.log
Comment 7 Jeff Bastian 2013-01-24 11:11:15 EST
Created attachment 686838 [details]
File: storage.log
Comment 8 Jeff Bastian 2013-01-24 11:11:19 EST
Created attachment 686839 [details]
File: syslog
Comment 9 Chris Lumens 2013-01-24 15:46:34 EST
10:08:26,367 INFO program: Running... lvm lvresize --force -L 400000m --config  devices { filter=["r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|"] }  vg_tarantula/lv_root
10:08:26,405 ERR program:   New size (12500 extents) matches existing size (12500 extents)
10:08:26,406 ERR program:   Run `lvresize --help' for more information.
Comment 10 Peter Rajnoha 2013-01-25 10:02:43 EST
(In reply to comment #9)
> 10:08:26,367 INFO program: Running... lvm lvresize --force -L 400000m
> --config  devices {
> filter=["r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|"] } 
> vg_tarantula/lv_root
> 10:08:26,405 ERR program:   New size (12500 extents) matches existing size
> (12500 extents)

So yes, the message is OK, isn't it? If extent size used is 32m, which, based on the logs it is, I don't see anything wrong here. The resize to that certain size was called on a device with the same existing size...

Or is this just about the request for this to be a warning message/clean state instead of an error message/error state?
Comment 11 Peter Rajnoha 2013-08-21 05:46:51 EDT
So has this been fixed in anaconda? I mean if someone uses the same size as existing one, the lvresize gives nonzero return value and an error message that the size requested is the same as existing and so it makes no point to resize... Hence the error state. David?
Comment 12 Peter Rajnoha 2013-12-05 10:08:31 EST
Moving to anaconda...
Comment 13 David Lehman 2013-12-05 10:16:43 EST
(In reply to Jeff Bastian from comment #0)
> Description of problem:
> I just tried to install Fedora 18 and it crashed after I hit Begin.  I told
> it to use my old partition layout but reformat everything:

You left out the fact that you set about five different sizes for the root lv in the process.


I suspect this has been fixed very recently for bug 1027947.

Note You need to log in before you can comment on or make changes to this bug.